<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="vendorsContact">
            <h2><span>Vendors Contact</span> {{ vendorsContact.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Title</span></dt>
                <dd>
                    <span>{{ vendorsContact.title }}</span>
                </dd>
                <dt><span>First Name</span></dt>
                <dd>
                    <span>{{ vendorsContact.firstName }}</span>
                </dd>
                <dt><span>Last Name</span></dt>
                <dd>
                    <span>{{ vendorsContact.lastName }}</span>
                </dd>
                <dt><span>Mobile</span></dt>
                <dd>
                    <span>{{ vendorsContact.mobile }}</span>
                </dd>
                <dt><span>Email</span></dt>
                <dd>
                    <span>{{ vendorsContact.email }}</span>
                </dd>
                <dt><span>Business Title</span></dt>
                <dd>
                    <span>{{ vendorsContact.businessTitle }}</span>
                </dd>
                <dt><span>Contact Tag Id</span></dt>
                <dd>
                    <span>{{ vendorsContact.contactTagId }}</span>
                </dd>
                <dt><span>Contact Tag Name</span></dt>
                <dd>
                    <span>{{ vendorsContact.contactTagName }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ vendorsContact.active }}</span>
                </dd>
                <dt><span>Vendor</span></dt>
                <dd>
                    <div *ngIf="vendorsContact.vendor">
                        <a [routerLink]="['/vendor', vendorsContact.vendor?.id, 'view']">{{ vendorsContact.vendor?.id }}</a>
                    </div>
                </dd>
                <dt><span>Shop</span></dt>
                <dd>
                    <div *ngIf="vendorsContact.shop">
                        <a [routerLink]="['/shop', vendorsContact.shop?.id, 'view']">{{ vendorsContact.shop?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/vendors-contact', vendorsContact.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
